with GNATCOM.Dispinterface;

package MSHTML.IHTMLBodyElement3_Object is

   type IHTMLBodyElement3_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_background
     (This : IHTMLBodyElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_background
     (This : IHTMLBodyElement3_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ononline
     (This : IHTMLBodyElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ononline
     (This : IHTMLBodyElement3_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onoffline
     (This : IHTMLBodyElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onoffline
     (This : IHTMLBodyElement3_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onhashchange
     (This : IHTMLBodyElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onhashchange
     (This : IHTMLBodyElement3_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLBodyElement3_Object;

